virtualbox/vbox-vboxadd-init-script.diff
Larry Finger a4bb9742dd Accepting request 1036720 from home:lwfinger:branches:Virtualization
added file "set_noexec_stack.patch" to remove executable stack in yasm-compiled routines
addwd file "fix_v7_build.patch"
added file "VBoxDDR0.r0"
deleted file "/vb-6.1.16-modal-dialog-parent.patch"
VirtualBox 7.0.2 (released October 20 2022)
This is a maintenance release. The following items were fixed and/or added:
Known issue: VMs having more than one vCPU configured will not work properly on macOS Catalina due to an unknown memory corruption issue. Either lower the number of vCPUs to 1 or upgrade to BigSur or later where the issue does not occur
Main: Fixed issue when VBoxSVC could become unresponsive if Extension Pack was not installed (bug #21167)
Linux Guest Additions: Introduced initial support for kernel 6.1
Linux Guest Additions: Fixed issue when VBoxClient seamless service caused a crash of some X11 applications (bug #21132)
GUI: Fixed a glitch in the log viewer which was causing wrong log file to be saved (bug #21156)
VirtualBox 7.0.0 (released October 10 2022)
This is a major update. The following major new features were added:
Virtual machines can be fully encrypted now, including the VM config logs and saved states (CLI only for now)
OCI: Cloud virtual machines can be added to Virtual Machine Manager and controlled as local VMs
OCI: Cloud networks can now be configured via Network Manager tool same way as it is done for Host-only and NAT networks
GUI: Added a new utility similar to "top" or "resource monitor" which lists peformance statistics (CPU usage, RAM usage, disk I/O rate, etc.) of running guests
GUI: Reworked the new vm wizard to integrate the unattended guest OS installation and to have a more streamlined work flow
GUI: Added a new help viewer widget which enables the user manual to be navigated and searched
GUI: Adding new notification center unifying most of running progresses and error reporting around the GUI
GUI: Improved theme support on all platforms. Linux and macOS use native engine while for Windows host it is separately implemented.
GUI: Large icon update.
Audio recording: Now using Vorbis as the default audio format for WebM containers. Opus is no longer being used.
Audio: Added "default" host driver type to make it possible to move VMs (appliances) between different platforms without the need of changing the audio driver explicitly. When the "default" driver is selected, the best audio backend option for a platform will be used. This is the default for newly created VMs.
Guest Control: Implemented initial support for automatic updating of Guest Additions for Linux guests
Guest Control: Implemented ability to wait for and/or reboot the guest when updating Guest Additions via VBoxManage
VBoxManage: Added Guest Control "waitrunlevel" sub-command to make it possible to wait for a guest to reach a certain run level
Linux Guest Additions: Reworked guest screen re-size functionality, added basic integration with some of guest Desktop Environments
Devices: Implemented new 3D support based on DirectX 11 (and DXVK on non Windows hosts)
Devices: Added virtual IOMMU devices (Intel and AMD variant)

OBS-URL: https://build.opensuse.org/request/show/1036720
OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=663
2022-11-18 21:49:33 +00:00

244 lines
9.2 KiB
Diff

Index: VirtualBox-7.0.0_BETA2/src/VBox/Additions/linux/installer/vboxadd.sh
===================================================================
--- VirtualBox-7.0.0_BETA2.orig/src/VBox/Additions/linux/installer/vboxadd.sh
+++ VirtualBox-7.0.0_BETA2/src/VBox/Additions/linux/installer/vboxadd.sh
@@ -36,11 +36,14 @@
# Provides: vboxadd
# Required-Start:
# Required-Stop:
-# Default-Start: 2 3 4 5
+# Should-Start: $remote_fs
+# Should-Stop: $remote_fs
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# X-Start-Before: display-manager
# X-Service-Type: oneshot
# Description: VirtualBox Linux Additions kernel modules
+# Short-Description: VirtualBox Linux Additions kernel modules
### END INIT INFO
## @todo This file duplicates a lot of script with vboxdrv.sh. When making
@@ -131,20 +134,11 @@ module_build_log()
dev=/dev/vboxguest
userdev=/dev/vboxuser
-config=/var/lib/VBoxGuestAdditions/config
owner=vboxadd
group=1
-if test -r $config; then
- . $config
-else
- fail "Configuration file $config not found"
-fi
-test -n "$INSTALL_DIR" -a -n "$INSTALL_VER" ||
- fail "Configuration file $config not complete"
MODULE_SRC="$INSTALL_DIR/src/vboxguest-$INSTALL_VER"
BUILDINTMP="$MODULE_SRC/build_in_tmp"
-
# Attempt to detect VirtualBox Guest Additions version and revision information.
VBOXCLIENT="${INSTALL_DIR}/bin/VBoxClient"
VBOX_VERSION="`"$VBOXCLIENT" --version | cut -d r -f1`"
@@ -194,12 +188,6 @@ do_vboxguest_non_udev()
fail "Cannot create device $dev with major $maj and minor $min"
}
fi
- chown $owner:$group $dev 2>/dev/null || {
- rm -f $dev 2>/dev/null
- rm -f $userdev 2>/dev/null
- rmmod vboxguest 2>/dev/null
- fail "Cannot change owner $owner:$group for device $dev"
- }
if [ ! -c $userdev ]; then
maj=10
@@ -210,12 +198,6 @@ do_vboxguest_non_udev()
rmmod vboxguest 2>/dev/null
fail "Cannot create device $userdev with major $maj and minor $min"
}
- chown $owner:$group $userdev 2>/dev/null || {
- rm -f $dev 2>/dev/null
- rm -f $userdev 2>/dev/null
- rmmod vboxguest 2>/dev/null
- fail "Cannot change owner $owner:$group for device $userdev"
- }
fi
fi
}
@@ -277,7 +259,7 @@ cleanup_modules()
done
if test -z "${keep}"; then
rm -rf /lib/modules/"${KERN_VER}"
- rm -f /boot/initrd.img-"${KERN_VER}"
+ rm -f /boot/initrd.img-"${KERN_VER}"
fi
done
for i in ${OLDMODULES}; do
@@ -509,9 +491,9 @@ create_udev_rule()
udevcontrol reload_rules >/dev/null 2>&1 || true
fi
}
-
-create_module_rebuild_script()
-{
+ # And an rc file to re-build the kernel modules and re-set-up the X server.
+ ln -sf "$lib_path/$PACKAGE/vboxadd" /sbin/rcvboxadd
+ #ln -sf "$lib_path/$PACKAGE/vboxadd-x11" /sbin/rcvboxadd-x11
# And a post-installation script for rebuilding modules when a new kernel
# is installed.
mkdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d
@@ -692,18 +674,17 @@ setup()
already available for kernel $TARGET_VER and do not require to be rebuilt."
else
info "Building the VirtualBox Guest Additions kernel modules. This may take a while."
- info "To build modules for other installed kernels, run"
- info " /sbin/rcvboxadd quicksetup <version>"
- info "or"
- info " /sbin/rcvboxadd quicksetup all"
- if test -d /lib/modules/"$TARGET_VER"/build; then
- setup_modules "$TARGET_VER"
- depmod
- else
- info "Kernel headers not found for target kernel $TARGET_VER. \
+ info "To build modules for other installed kernels, run"
+ info " /sbin/rcvboxadd quicksetup <version>"
+ info "or"
+ info " /sbin/rcvboxadd quicksetup all"
+ if test -d /lib/modules/"$TARGET_VER"/build; then
+ setup_modules "$TARGET_VER"
+ depmod
+ else
+ info "Kernel headers not found for target kernel $TARGET_VER. \
Please install them and execute
/sbin/rcvboxadd setup"
- fi
fi
fi
create_vbox_user
@@ -720,17 +701,14 @@ Please install them and execute
# Put the X.Org driver in place. This is harmless if it is not needed.
# Also set up the OpenGL library.
myerr=`"${INSTALL_DIR}/init/vboxadd-x11" setup 2>&1`
- test -z "${myerr}" || log "${myerr}"
-
- return 0
+ succ_msg
}
# cleanup_script
cleanup()
{
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
- # Delete old versions of VBox modules.
- cleanup_modules
+ # Delete old versions of VBox modules.
+ cleanup_modules
depmod
# Remove old module sources
@@ -740,12 +718,13 @@ cleanup()
fi
# Clean-up X11-related bits
- "${INSTALL_DIR}/init/vboxadd-x11" cleanup
+ #/sbin/rcvboxadd-x11 cleanup
# Remove other files
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
- rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
- rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null || true
+ rm /sbin/rcvboxadd 2>/dev/null
+ #rm /sbin/rcvboxadd-x11 2>/dev/null
+ rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
+ rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null || true
fi
rm -f /sbin/mount.vboxsf 2>/dev/null
rm -f /etc/udev/rules.d/60-vboxadd.rules 2>/dev/null
@@ -791,7 +770,7 @@ for your Linux distribution."
rm -f $userdev || {
fail "Cannot remove $userdev"
}
- $MODPROBE vboxguest >/dev/null 2>&1 ||
+ $MODPROBE vboxguest >/dev/null 2>&1 || {
fail "modprobe vboxguest failed"
case "$no_udev" in 1)
sleep .5;;
Index: VirtualBox-7.0.0_BETA2/src/VBox/Additions/linux/installer/vboxadd-service.sh
===================================================================
--- VirtualBox-7.0.0_BETA2.orig/src/VBox/Additions/linux/installer/vboxadd-service.sh
+++ VirtualBox-7.0.0_BETA2/src/VBox/Additions/linux/installer/vboxadd-service.sh
@@ -36,7 +36,7 @@
# Provides: vboxadd-service
# Required-Start: vboxadd
# Required-Stop: vboxadd
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# X-Conflicts-With: systemd-timesyncd.service
# Description: VirtualBox Additions Service
Index: VirtualBox-7.0.0_BETA2/src/VBox/Installer/linux/vboxautostart-service.sh
===================================================================
--- VirtualBox-7.0.0_BETA2.orig/src/VBox/Installer/linux/vboxautostart-service.sh
+++ VirtualBox-7.0.0_BETA2/src/VBox/Installer/linux/vboxautostart-service.sh
@@ -33,7 +33,7 @@
# Provides: vboxautostart-service
# Required-Start: vboxdrv
# Required-Stop: vboxdrv
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: VirtualBox autostart service
### END INIT INFO
Index: VirtualBox-7.0.0_BETA2/src/VBox/Installer/linux/vboxballoonctrl-service.sh
===================================================================
--- VirtualBox-7.0.0_BETA2.orig/src/VBox/Installer/linux/vboxballoonctrl-service.sh
+++ VirtualBox-7.0.0_BETA2/src/VBox/Installer/linux/vboxballoonctrl-service.sh
@@ -33,7 +33,7 @@
# Provides: vboxballoonctrl-service
# Required-Start: vboxdrv
# Required-Stop: vboxdrv
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: VirtualBox watchdog daemon
### END INIT INFO
Index: VirtualBox-7.0.0_BETA2/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
===================================================================
--- VirtualBox-7.0.0_BETA2.orig/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
+++ VirtualBox-7.0.0_BETA2/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
@@ -41,7 +41,7 @@
# Provides: testboxscript-service
# Required-Start: $network
# Required-Stop:
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: TestBoxScript service
### END INIT INFO
Index: VirtualBox-7.0.0_BETA2/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
===================================================================
--- VirtualBox-7.0.0_BETA2.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
+++ VirtualBox-7.0.0_BETA2/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
@@ -41,7 +41,7 @@
# Provides: vboxtxs
# Required-Start: $network
# Required-Stop:
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: VirtualBox Test Execution Service
### END INIT INFO
Index: VirtualBox-7.0.0_BETA2/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
===================================================================
--- VirtualBox-7.0.0_BETA2.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
+++ VirtualBox-7.0.0_BETA2/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
@@ -41,7 +41,7 @@
# Provides: vboxtxs
# Required-Start: $network
# Required-Stop:
-# Default-Start: 2 3 4 5
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
# Description: VirtualBox Test Execution Service
### END INIT INFO